[
{
    blockid=sys;
    help=service_imap_sys_sys;
    custom="com.netscape.management.msgserv.ServiceIMAPServiceControl";
    localvar={
	/* translate this block */
	.header.text="\u7cfb\u7d71\u914d\u7f6e";
	.enabled.text="\u555f\u7528\u9023\u63a5\u57e0\u7684 IMAP \u670d\u52d9";
	.port.text="\u9023\u63a5\u57e0\uff1a";
	.enabledssl.text="\u900f\u904e SSL \u4f7f\u7528 IMAP \u7368\u7acb\u7684\u9023\u63a5\u57e0";
	/* .anonymous.text="\u5141\u8a31\u533f\u540d\u767b\u5165"; */
	.plaintext.text="\u5141\u8a31\u5bc6\u78bc\u767b\u5165";
	.mincipher.text="\u5bc6\u78bc\u52a0\u5bc6\u7684\u6700\u5c0f\u52a0\u5bc6\u9577\u5ea6";
	.session.text="\u6bcf\u500b\u7a0b\u5e8f\u7684\u6700\u5927\u7db2\u8def\u9023\u7dda\uff1a";
	.thread.text="\u6bcf\u500b\u7a0b\u5e8f\u7684\u6700\u5927\u57f7\u884c\u7dd2\u6578\uff1a";
	.slave.text="\u7a0b\u5e8f\u7684\u6578\u76ee\uff1a";
	.drop.text="\u4e2d\u65b7\u7528\u6236\u7aef\u9023\u7dda\u524d\u7684\u9592\u7f6e\u6642\u9593\uff1a";
	.banner.text="IMAP \u670d\u52d9\u5927\u6a19\u984c\uff1a";
	.idle.labels=["\u5206\u9418","\u5c0f\u6642"];
	.connection.border=[titled,"\u9023\u7dda\u8a2d\u5b9a"];
	.process.border=[titled,"\u7a0b\u5e8f\u8a2d\u5b9a"];
    };
    content=[
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=rigid;
		},
		{
		    ctrl=togglepane;
		    id=portlabel;
		    text=$.enabled.text;
		    val=$enable.value;
		    inline=true;
		    content=[
			{
			    ctrl=rigid;
			},
			{
			    ctrl=number;
			    val=$port.value;
			    label=portlabel;
			    max=65535;
			},
			{
			    ctrl=hglue;
			}
		    ]
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=rigid;
		},
		{
		    ctrl=togglepane;
		    id=sslportlabel;
		    text=$.enabledssl.text;
		    val=$enablesslport.value;
		    inline=true;
		    content=[
			{
			    ctrl=rigid;
			},
			{
			    ctrl=number;
			    val=$sslport.value;
			    label=sslportlabel;
			    max=65535;
			},
			{
			    ctrl=hglue;
			}
		    ]
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	/*
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=rigid;
		},
		{
		    ctrl=togglepane;
		    text=$.anonymous.text;
		    val=$allowanonymouslogin.value;
		    inline=true;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	*/
	{
	    ctrl=togglepane;
	    text=$.plaintext.text;
	    id=plaintexttoggle;
	    content=[
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    id=mincipherlabel;
			    text=$.mincipher.text;
			    wrap=$g.label.size2;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=choice;
			    id=mincipher;
			    label=mincipherlabel;
			    items=[0,40,56,128];
			    val=$plaintextmincipher.value;
			},
			{
			    ctrl=hglue;
			}
		    ]
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    layout=[ybox];
	    border=$.connection.border;
	    content=[
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    id=sessionlabel;
			    text=$.session.text;
			    wrap=$g.label.size2;
			    aligny=0.5;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=number;
			    val=$maxsessions.value;
			    aligny=0.5;
			    label=sessionlabel;
			},
			{
			    ctrl=hglue;
			}
		    ]
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    id=droplabel;
			    text=$.drop.text;
			    wrap=$g.label.size2;
			    aligny=0.5;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=number;
			    val=$idletimeout.value;
			    aligny=0.5;
			    label=droplabel;
			    unit=min;
			    items=[min,hr];
			    labels=$.idle.labels;
			    min=30;
			},
			{
			    ctrl=hglue;
			}
		    ]
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    layout=[ybox];
	    border=$.process.border;
	    content=[
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    id=threadlabel;
			    text=$.thread.text;
			    wrap=$g.label.size2;
			    aligny=0.5;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=number;
			    val=$maxthreads.value;
			    aligny=0.5;
			    label=threadlabel;
			},
			{
			    ctrl=hglue;
			}
		    ]
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    id=slavelabel;
			    text=$.slave.text;
			    wrap=$g.label.size2;
			    aligny=0.5;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=number;
			    val=$numprocesses.value;
			    aligny=0.5;
			    label=slavelabel;
			},
			{
			    ctrl=hglue;
			}
		    ]
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    id=bannerlabel;
		    text=$.banner.text;
		    wrap=$g.label.size2;
		    aligny=0.5;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=text;
		    val=$banner.value;
		    aligny=0.5;
		    label=bannerlabel;
		}
	    ]
	}
    ]
}
]

